Audit Log
8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAuditLogsForGlobal | GET | Get global audit log list |
| getAuditLogSettingForGlobal | GET | Get global audit log notification |
| modifyAuditLogSettingGlobal | PATCH | Modify global audit log notification |
| exportAuditLogListForGlobal | POST | Export audit log list in global view |
| getAuditLogsForSite | GET | Get site audit log list |
| getApSsidOverridesAuditLogs | GET | Get ap ssidoverride audit log list |
| getAuditLogSettingForMsp_1 | GET | Get site audit log notification |
| modifyAuditLogSettingSite_1 | PATCH | Modify site audit log notification |
getAuditLogsForGlobal
GET /openapi/v1/{omadacId}/audit-logs
Get global audit log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
sorts.time | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.result | query | integer | no | Filter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0 |
filters.level | query | string | no | Filter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error |
filters.auditTypes | query | string | no | Filter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface. |
filters.times | query | string | no | Filter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}]. |
searchKey | query | string | no | Fuzzy query parameters, support field content |
// omada_call_operation
{
"operationId": "getAuditLogsForGlobal"
}Details, permissions and error codes
Get audit logs in global audit page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
getAuditLogSettingForGlobal
GET /openapi/v1/{omadacId}/audit-notification
Get global audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getAuditLogSettingForGlobal"
}Details, permissions and error codes
Get global audit log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
modifyAuditLogSettingGlobal
PATCH /openapi/v1/{omadacId}/audit-notification
Modify global audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | yes | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
auditLogNotifications | array<AuditLogNotificationEditOpenApiVO> | yes | Audit Log Notification List |
// omada_call_operation
{
"operationId": "modifyAuditLogSettingGlobal",
"body": "{...}"
}Details, permissions and error codes
Modify global audit log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify
exportAuditLogListForGlobal
POST /openapi/v1/{omadacId}/logs/audit/export
Export audit log list in global view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ExportLogOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | yes | Parameter [siteIds] indicates site IDs that need to export log results. |
format | integer | yes | Parameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx. |
// omada_call_operation
{
"operationId": "exportAuditLogListForGlobal",
"body": "{...}"
}Details, permissions and error codes
Export audit log list in global view.
The interface requires one of the permissions:
Global Export Data Access
getAuditLogsForSite
GET /openapi/v1/{omadacId}/sites/{siteId}/audit-logs
Get site audit log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
sorts.time | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.result | query | integer | no | Filter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0 |
filters.level | query | string | no | Filter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error |
filters.auditTypes | query | string | no | Filter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface. |
filters.times | query | string | no | Filter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}]. |
searchKey | query | string | no | Fuzzy query parameters, support field content |
// omada_call_operation
{
"operationId": "getAuditLogsForSite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get audit logs in site audit page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
getApSsidOverridesAuditLogs
GET /openapi/v1/{omadacId}/sites/{siteId}/audit-logs/{apMac}/ssid-overrides
Get ap ssidoverride audit log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
sorts.time | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.times | query | string | no | Filter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}]. |
// omada_call_operation
{
"operationId": "getApSsidOverridesAuditLogs",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get ap ssidoverride audit logs in site audit page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
getAuditLogSettingForMsp_1
GET /openapi/v1/{omadacId}/sites/{siteId}/site/audit-notification
Get site audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAuditLogSettingForMsp_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site audit log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
modifyAuditLogSettingSite_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/site/audit-notification
Modify site audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | yes | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
auditLogNotifications | array<AuditLogNotificationEditOpenApiVO> | yes | Audit Log Notification List |
// omada_call_operation
{
"operationId": "modifyAuditLogSettingSite_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site audit log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify